/*
  Rounded block

  Скругленные углы для IE делаем через VML:roundrect
    - требуется определенный IEBorderRadius
    
  Убираем наш блок z-index = -1 на задний фон и растягиваем под родителя.

*/

  .b-round {
    zoom: expression(
      runtimeStyle.zoom="1", /* one-time called expression, at the same time declare hasLayout */
      this.ROUNDfix = function(obj){

        /* Подготавливаем ноду и ставим ей атрибуты */
        var round = document.createElement("v:roundrect");
        round.fillColor = round.strokecolor = obj.currentStyle.backgroundColor ? obj.currentStyle.backgroundColor : "white";

        /*
          Вешаем создание ноды и пересчет углов на onload иначе IE6,7 будут валиться.
          Если все прошло удачно, то убиваем background, чтобы небыло видно скачка в отрисовке
        */
        window.attachEvent("onload", function(){
          round.arcSize = obj.offsetWidth < obj.offsetHeight ? parseInt(obj.currentStyle.IEBorderRadius) / obj.offsetWidth : parseInt(obj.currentStyle.IEBorderRadius) / obj.offsetHeight;
          obj.appendChild(round);
          obj.runtimeStyle.backgroundColor = "transparent";
        })

        /*
          На onresize вещаем перерасчет всех уголков.
          IE не дает выставить новое значение свойства arcSize,
          поэтому убиваем ноду и создаем заново.
        */
        window.attachEvent("onresize", function(){
          obj.runtimeStyle.backgroundColor = round.fillColor; /* BUGFIX: Лечим в IE6 маргание при пересоздании ноды */
          var _round = obj.removeChild(round);
          _round.arcSize = obj.offsetWidth < obj.offsetHeight ? parseInt(obj.currentStyle.IEBorderRadius) / obj.offsetWidth : parseInt(obj.currentStyle.IEBorderRadius) / obj.offsetHeight;
          obj.appendChild(_round);
          obj.runtimeStyle.backgroundColor = "transparent"; /* Убиваем фон, чтобы не перекрывал уголки. */
        })

      },

      this.ROUNDfix(this)
    );
  }

  .b-round v\:roundrect {
    position: absolute;
    left: 0; top: 0;
    width: 100%;
    height: expression(parentNode.offsetHeight-1 + 'px');
    z-index: -1;
  }
  
  v\:* { behavior:url(#default#VML);display:inline-block }

/* Rounded block (end) */
